USN-5699-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5699-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5699-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5699-1
Related
Published
2022-10-25T22:48:23.144884Z
Modified
2022-10-25T22:48:23.144884Z
Summary
glibc vulnerabilities
Details

Jan Engelhardt, Tavis Ormandy, and others discovered that the GNU C Library iconv feature incorrectly handled certain input sequences. An attacker could possibly use this issue to cause the GNU C Library to hang or crash, resulting in a denial of service. (CVE-2021-3326)

It was discovered that the GNU C Library nscd daemon incorrectly handled certain netgroup lookups. An attacker could possibly use this issue to cause the GNU C Library to crash, resulting in a denial of service. (CVE-2021-35942)

References

Affected packages

Ubuntu:Pro:16.04:LTS / glibc

Package

Name
glibc

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.23-0ubuntu11.3+esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "multiarch-support": "2.23-0ubuntu11.3+esm2",
            "libc6-dev": "2.23-0ubuntu11.3+esm2",
            "libc6": "2.23-0ubuntu11.3+esm2",
            "libc-bin": "2.23-0ubuntu11.3+esm2",
            "libc6-i386": "2.23-0ubuntu11.3+esm2",
            "libc6-dev-x32": "2.23-0ubuntu11.3+esm2",
            "libc6-dev-s390": "2.23-0ubuntu11.3+esm2",
            "libc6-dev-i386": "2.23-0ubuntu11.3+esm2",
            "libc6-amd64": "2.23-0ubuntu11.3+esm2",
            "locales-all": "2.23-0ubuntu11.3+esm2",
            "libc6-x32": "2.23-0ubuntu11.3+esm2",
            "libc-dev-bin": "2.23-0ubuntu11.3+esm2",
            "libc6-dev-amd64": "2.23-0ubuntu11.3+esm2",
            "libc6-s390": "2.23-0ubuntu11.3+esm2",
            "libc6-pic": "2.23-0ubuntu11.3+esm2",
            "libc6-dev-armel": "2.23-0ubuntu11.3+esm2",
            "glibc-source": "2.23-0ubuntu11.3+esm2",
            "nscd": "2.23-0ubuntu11.3+esm2",
            "glibc-doc": "2.23-0ubuntu11.3+esm2",
            "locales": "2.23-0ubuntu11.3+esm2",
            "libc6-armel": "2.23-0ubuntu11.3+esm2"
        }
    ]
}